unit frstatus;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, DsgnIntf;

type
  TAbout = class(TPropertyEditor)
  public
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
    function GetValue: string; override;
  end;

  TFriendlyStatusBar = class(TStatusBar)
  private
    FAbout: TAbout;
  public
    constructor Create(AOwner: TComponent); override;
  published
    property About: TAbout read FAbout write FAbout;
  end;

procedure Register;

implementation

procedure TAbout.Edit;
begin
  Application.MessageBox('TFriendlyStatusBar component v1.00 for Delphi 2.0. (C) 1997 Ivan Azic. This component is freeware.',
                         'About TFriendlyStatusBar Component', MB_OK + MB_ICONINFORMATION);
end;

function TAbout.GetAttributes: TPropertyAttributes;
begin
  Result:= [paMultiSelect, paDialog, paReadOnly];
end;

function TAbout.GetValue: string;
begin
  Result:= '(about)';
end;

constructor TFriendlyStatusBar.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  ControlStyle:= ControlStyle + [csAcceptsControls];
end;

procedure Register;
begin
  RegisterComponents('Win95', [TFriendlyStatusBar]);
  RegisterPropertyEditor(TypeInfo(TAbout), TFriendlyStatusBar, 'ABOUT', TAbout);
end;

end.
